## auparse auparse |

## Types and Values

struct | GstAuParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAuParse

## Description

Parses .au files mostly originating from sun os based computers.

## Synopsis

### Element Information

plugin | auparse
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Codec/Demuxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-au

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, S16LE, S16BE, S24LE, S24BE, S32LE, S32BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 8000, 192000 ], channels=(int)1, layout=(string)interleaved
| audio/x-raw, format=(string){ S8, S16LE, S16BE, S24LE, S24BE, S32LE, S32BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 8000, 192000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved
| audio/x-alaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]
| audio/x-mulaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]
| audio/x-adpcm, layout=(string){ g721, g722, g723_3, g723_5 }

## Functions

## Types and Values

### struct GstAuParse

    struct GstAuParse;